-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local cpu_list = Input

for i = 1, #cpu_list do
    -- CPU不在位时，设置其他属性为默认值
    if cpu_list[i].Presence == 0 then
        cpu_list[i].cpuManufacturer = ''
        cpu_list[i].cpuFamily = ''
        cpu_list[i].cpuType = ''
        cpu_list[i].cpuClockRate = ''
        cpu_list[i].cpuStatus = 5           -- 5表示不在位
        cpu_list[i].cpuDevicename = ''
    end
    cpu_list[i].Presence = nil
end

return cpu_list